from django.views.decorators.http import require_http_methods

from backend.Service.AdminRoleService import AdminRoleService


@require_http_methods(['POST'])
def Create(reqeust):
    return AdminRoleService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return AdminRoleService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return AdminRoleService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return AdminRoleService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return AdminRoleService.Search(reqeust)

@require_http_methods(['POST'])
def selectInfo(reqeust):
    return AdminRoleService.selectInfo(reqeust)
